import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:supplier_new/common/settings.dart';
import 'package:supplier_new/login/login_signup_screen.dart';

class StartingScreen extends StatefulWidget {
  const StartingScreen({super.key});

  @override
  State<StartingScreen> createState() => _StartingScreenState();
}

class _StartingScreenState extends State<StartingScreen> {
  @override
  Widget build(BuildContext context) {

    return Scaffold(
        body: Padding(
          padding: EdgeInsets.all(24),
          child: Column(
            children: [
              SizedBox(height: MediaQuery.of(context).size.height * .2),
              Center(
                child: Text("AQUICK SUPPLIER",
                    style: fontTextStyle(20, Color(0XFF515253), FontWeight.w800)),
              ),
              SizedBox(height: MediaQuery.of(context).size.height * .05),
              CircleAvatar(radius: 80, backgroundColor: Color(0XFFF3F1FB)),
              SizedBox(height: MediaQuery.of(context).size.height * .05),
              Center(
                child: Text("Want to be a supplier on Aquick Platform?",
                    style: fontTextStyle(16, Color(0XFF343637), FontWeight.w600)),
              ),
              SizedBox(height: MediaQuery.of(context).size.height * .04),
              Container(
                  width: double.infinity,
                  height: MediaQuery.of(context).size.height * .06,
                  child: ElevatedButton(
                    style: ElevatedButton.styleFrom(
                      foregroundColor: Colors.white,
                      backgroundColor: primaryColor,
                      shape: RoundedRectangleBorder(
                        borderRadius:
                        BorderRadius.circular(24.0), // Customize the radius
                      ),
                    ),
                    onPressed: () async {
                      Navigator.push(
                        context,
                        MaterialPageRoute(
                            builder: (context) => LoginSignUpScreen()),
                      );
                    },
                    child: Text(
                      'Yes',
                      style: fontTextStyle(14, Colors.white, FontWeight.w500),
                    ),
                  )),
              /*SizedBox(height: MediaQuery.of(context).size.height * .012),
              Container(
                width: double.infinity,
                height: MediaQuery.of(context).size.height * .06,
                child: ElevatedButton(
                  style: ElevatedButton.styleFrom(
                    foregroundColor: Color(0XFF757575),
                    backgroundColor: Colors.white,
                    shape: RoundedRectangleBorder(
                      borderRadius:
                      BorderRadius.circular(24.0), // Customize the radius
                      side: BorderSide(
                        color: Color(0XFF757575), // Border color
                        width: 1, // Border width
                      ),
                    ),
                  ),
                  onPressed: () async {
                    // Your onPressed logic
                  },
                  child: Text(
                    'No, I want to buy water',
                    style: fontTextStyle(12, Color(0XFF757575), FontWeight.w500),
                  ),
                ),
              )*/
            ],
          ),
        ));
  }
}
